List ideas
curl --request GET \
--url https://app.tryordinal.com/api/v1/ideas \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/ideas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/ideas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ideas": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"channels": [
"<string>"
],
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"linkedIn": {
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
},
"copy": "<string>",
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"mimetype": "<string>",
"size": 123,
"width": 123,
"height": 123,
"duration": 123
}
]
},
"x": {
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
},
"tweets": [
{
"copy": "<string>",
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"mimetype": "<string>",
"size": 123,
"width": 123,
"height": 123,
"duration": 123
}
]
}
]
},
"tikTok": {
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
},
"copy": "<string>",
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"mimetype": "<string>",
"size": 123,
"width": 123,
"height": 123,
"duration": 123
}
],
"privacyLevel": "PUBLIC_TO_EVERYONE",
"isCommentDisabled": true,
"isDuetDisabled": true,
"isStitchDisabled": true,
"isPromotingBusiness": true,
"isPaidPartnership": true,
"videoCoverTimestampMs": 123
},
"youTubeShorts": {
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
},
"title": "<string>",
"description": "<string>",
"assets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"mimetype": "<string>",
"size": 123,
"width": 123,
"height": 123,
"duration": 123
}
],
"privacyStatus": "public",
"categoryId": "<string>",
"notifySubscribers": true,
"isEmbeddable": true,
"isSelfDeclaredMadeForKids": true
}
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}Ideas
List ideas
List all ideas in the workspace with pagination and filtering. Archived ideas are excluded from results.
GET
/
ideas
List ideas
Authorizations
API key authentication. Generate an API key from your workspace settings.
Query Parameters
Maximum number of ideas to return (1-100)
Required range:
1 <= x <= 100Cursor for pagination (idea ID from the last item of previous page)
Fetch specific ideas by IDs
Filter by channel
Available options:
LinkedIn, Twitter, TikTok, YouTubeShorts Filter by LinkedIn profile ID
Filter by X/Twitter profile ID
Filter by TikTok profile ID
Filter by YouTube channel profile ID
Filter by label IDs (ideas with any of these labels)
Filter ideas created on or after this date
Filter ideas created on or before this date
Field to sort by
Available options:
createdAt Sort order
Available options:
asc, desc Was this page helpful?
⌘I